qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Darryl L. Pierce (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (QPID-5952) Backporting QPID-5637 and QPID-5557 to EL7
Date Fri, 01 Aug 2014 14:04:38 GMT

    [ https://issues.apache.org/jira/browse/QPID-5952?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14082257#comment-14082257
] 

Darryl L. Pierce commented on QPID-5952:
----------------------------------------

I pulled out the source tarball inside of the EL7 package above and compared it's MD5 sum
to the tarball from the qpid.apache.org/download.html website. The MD5 sums for both files
are identiical:

 $ md5sum  qpid-python-0.28.tar.gz qpid-python-0.28.site.tar.gz 
e07a26549020c82f79f694aafb750bf0  qpid-python-0.28.tar.gz
e07a26549020c82f79f694aafb750bf0  qpid-python-0.28.site.tar.gz

I agree, I don't see the changes from QPID-5637 represented in the code. I do see QPID-5557.
Looking at line 957:

{code}
    assrt = lnk.options.get("assert") in ("always", dir)
    requested_type = lnk.options.get("node", {}).get("type")
    def do_resolved(type, subtype):
{code}

which comes from the patch for QPID-5557:

{code}
     assrt = lnk.options.get("assert") in ("always", dir)
+    requested_type = lnk.options.get("node", {}).get("type")
     def do_resolved(type, subtype):
{code}

> Backporting QPID-5637 and QPID-5557 to EL7
> ------------------------------------------
>
>                 Key: QPID-5952
>                 URL: https://issues.apache.org/jira/browse/QPID-5952
>             Project: Qpid
>          Issue Type: Bug
>          Components: Python Client
>    Affects Versions: 0.28
>         Environment: RHEL7
>            Reporter: Brian Bouterse
>
> This is a packaging related bug. Both the QPID-5637 and QPID-5557 are fixed in Qpid 0.28.
Both of those patches, patch code in python-qpid.
> I have some confusion about what version of Qpid is being packaged with RHEL7. I believe
the version available in base RHEL 7 is python-qpid-0.28-3.el7.noarch.rpm I can see that in
these non-official packagers that build from SRPM like this one [0]. The version they provide
is 0.28 release 3, and it does not include the patches that are supposed to be in version
0.28. I must be misunderstanding this because those two bugs were supposed to be fixed with
0.28.
> I looked in EPEL and I don't see it there either [1]. What version is packaged with RHEL7?
> [0]: http://rpm.pbone.net/index.php3/stat/4/idpl/26634679/dir/redhat_el_7/com/python-qpid-0.28-3.el7.noarch.rpm.html
> [1]: https://fedoraproject.org/wiki/EPEL/epel7



--
This message was sent by Atlassian JIRA
(v6.2#6252)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message